حماية المحتوى (سك المستهلك)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}المستهلك (B2C)
حماية المحتوى (سك المستهلك)
صك إثبات تشفيري للمحتوى الذي تريد حمايته. يتم حل جهة الإصدار الشخصية ومفتاح التوقيع تلقائيًا. قم بتجزئة المحتوى من جانب العميل (SHA-256) وقدم التجزئة مع بيانات تعريف الملف.
POST
/
v1
/
consumer
/
mint
حماية المحتوى (سك المستهلك)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}صك إثبات تشفيري لمحتوى تريد حمايته. يتم حل جهة الإصدار الشخصية ومفتاح التوقيع تلقائيًا — لا تحتاج إلى إنشاء جهة إصدار أو تسجيل مفتاح.
قم بتجزئة المحتوى الخاص بك من جانب العميل باستخدام SHA-256 وقدم التجزئة جنبًا إلى جنب مع بيانات تعريف الملف. تُرجع نقطة النهاية سجل حماية مع عنوان URL لإثبات قابل للمشاركة يمكنك استخدامه لإثبات التأليف.
تعتمد حدود المعدل على مستوى خطتك:
يتضمن الرد
| الخطة | الحماية شهريًا |
|---|---|
| مجاني | 50 |
| المنشئ | 500 |
| احترافي | يعتمد على الخطة |
content_hash وprotected_at حتى تتمكن من تأكيد المحتوى الذي تم حمايته والطابع الزمني الدقيق دون إجراء مكالمة متابعة.
الاستجابات
الجسم
application/json

